# Customized Theme of CKAN Data Catalog of HFT Stuttgart
The extension and files for the customization are structured as follows in the **`ckan`** source code's parent directory:
- ckanext-theme_hft
  - ckanext
    - theme_hft
      - assets
        - theme.css
        - webassets.yml
      - public
        - (pictures).jpg/png
      - templates
        - *.html
      - plugin.py
  - setup.py

### Steps to implement the customized theme
1. Run the following command to create a new extension and place its directory in the **`ckan`** source code's parent directory:
   > ckan generate extension
   - New extension name: _`ckanext-theme_hft`_
1. Put the files in this repo to the their respective directories.
1. Go to **`ckanext-theme_hft`** directory and run the following command:
   > python setup.py develop
1. Add the new plugin to the ckan.plugins setting in `/etc/ckan/default/ckan.ini` file:
   > ckan.plugins = stats text_view recline_view theme_hft
1. Start CKAN
   > ckan -c /etc/ckan/default/ckan.ini run
